# E.S.O. - VLT project 
# $Id: catConfig.sh.in,v 1.26 2005/02/06 19:21:35 vltsccm Exp $
#
# catConfig.sh --
#
# This shell script (for sh) is generated automatically by the catlib
# configure script.  It will create shell variables for most of
# the configuration options discovered by the configure script.
# This script is intended to be included by other configure scripts
# so that they don't have to figure this all out for themselves.
#
# The information in this file is specific to a single platform.
#
# who             when      what
# --------------  --------  ---------------------------------------------
# Allan Brighton  08/04/97  Created
#

# version of the catlib library
# version of the catlib library
CAT_VERSION='3.7.5'

# root of cat source tree
CAT_SRC_ROOT='/home/vltnoccs/VLTSW/DMD/cat/cat'

# list of cat subdirectory pathnames (depends on --with-notcl flag)
CAT_SUBDIRS='/home/vltnoccs/VLTSW/DMD/cat/cat/astrocat                  /home/vltnoccs/VLTSW/DMD/cat/cat/ccat 		 /home/vltnoccs/VLTSW/DMD/cat/cat/tclcat'

# If this is true, build library with no Tcl access
CAT_NO_TCL='0'

# CAT install dirs
CAT_DESTDIR='${INSTALL_TARGET}'
CAT_BINDIR='${INSTALL_TARGET}/bin'
CAT_LIBDIR='${INSTALL_TARGET}/lib'
CAT_INCDIR='${INSTALL_TARGET}/include/cat'
CAT_MANDIR='${INSTALL_TARGET}/man'
CAT_DIR='${INSTALL_TARGET}/lib/cat'

# default location of Cat library files
CAT_LIBRARY='${INSTALL_TARGET}/lib/cat'

# location of Cat library files in source tree
CAT_BUILD_LIBRARY='/home/vltnoccs/VLTSW/DMD/cat/cat/tclcat/library'

# -I flags to pick up the cat include files from the build dirs
CAT_BUILD_INCLUDES='-I/home/vltnoccs/VLTSW/DMD/cat/cat/tclcat/include -I/home/vltnoccs/VLTSW/DMD/cat/cat/astrocat/include'

# String to pass to linker to pick up the Cat library from its
# build directory.
CAT_BUILD_LIB_SPEC='-L/home/vltnoccs/VLTSW/DMD/cat/cat -lcat'

# static version of above
CAT_BUILD_LIB_SPEC_STATIC='/home/vltnoccs/VLTSW/DMD/cat/cat/libcat.a'

# String to pass to linker to pick up the Cat library from its
# installed directory.
CAT_LIB_SPEC='-L${INSTALL_TARGET}/lib -lcat'

# static version of above
CAT_LIB_SPEC_STATIC='${INSTALL_TARGET}/lib/libcat.a'
