#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: bobMobsLib.tcl,v 1.145 2005/10/27 09:07:10 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# imunoz  30/09/97  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#    bobMobs Procedures.
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc bobMobsOK {} {
    set ::bob::editingDone 1
}

proc bobMobsCancel {} {
    set ::bob::editingDone 2
}

proc bobMobsRows {} {
    global gvar

    $gvar(bobEditorTable) addRow
}

proc bobMobsColumns {} {
    global gvar

    $gvar(bobEditorTable) configColumns
}

proc bobMobsGetDicHelp {key} {
    global gvar

    if {![catch {seq_oslxCmd DICTION -lookUpKeyword DicId $key} dic]} {
	set dic [split $dic ,]
	# The help-text is the 9th and last element of the list, but it 
	# could contain commas - so "mend" it together again
	set dic [join [lrange $dic 8 end] ,]
	regsub -- "^\[\t \]+" $dic {} dic
	regsub -all -- "\n\[\t \]+" $dic \n dic
    }
    $gvar(bobStb) configure -labeltext "Dictionary help on $key" -wrap word
    $gvar(bobStb) delete 0.0 end
    $gvar(bobStb) insert 0.0 $dic
}
#
# ___oOo___

