#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqDit_uifClass.tcl,v 1.113 2005/09/13 07:27:14 vltsccm Exp $" 
#
# iracqDit_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.16
#   date   : Mon Dec 20 15:27:48 MET 1999
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class iracqDit_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 260 -height 94 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifButton          $cv.iracqDit-apply -canvasAnchor nw \
                       -command {panSendCommand $seq_ccsEnvName $gvar(iracqSrvName) "SETUP" CHECK_ALL 60000  -function DET$gvar(iracqDetIdx)\.DIT 0.0} \
                       -initialState normal -label Apply -popup 0 \
                       -stateVar gvar(iracqDit-wdg5Var) -width 6
    UifOutput          $cv.iracqDit-dit -anchor center -canvasAnchor nw \
                       -color Blue -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqDit-dit %A %T %D %Q} \
                       -font -Adobe-courier-bold-r-normal--14* -frame 1 \
                       -label DIT: \
                       -labelFont -Adobe-helvetica-bold-r-normal--14* \
                       -labelWidth 0 -units sec. \
                       -variable gvar(exposure.DIT) -width 12
    UifEntry           $cv.iracqDit-ditSet -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-bold-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(ditSet) -width 10
    UifOutput          $cv.iracqDit-minDit -anchor center -canvasAnchor nw \
                       -color Black -dbMode dbEvent -evtFilter {"!="} \
                       -evtScript {panEvtDbUpdate iracqDit-minDit %A %T %D %Q} \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label Min-DIT: \
                       -labelFont -Adobe-helvetica-bold-r-normal--14* \
                       -labelWidth 0 -variable gvar(exposure.MINDIT) \
                       -width 12

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.iracqDit-apply)  {UifButton 196 60 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.iracqDit-dit)  {UifOutput 44 8 1 1 0 0 1 exposure.DIT 0 %.4f {}}
    set panWidget(${top}.iracqDit-ditSet)  {UifEntry 92.0 36.0 1 0 {} 0 1 ditSet 0 A {} {} 0 0 0 0}
    set panWidget(${top}.iracqDit-minDit)  {UifOutput 8 60 1 1 0 0 1 exposure.MINDIT 0 %.4f {}}

    #
    # Set Database Configuration
    #
    set panDbData(${top}.iracqDit-dit)  [list out local exposure.DIT 0 0 0 0 0 0 0 {}]
    set panDbData(${top}.iracqDit-minDit)  [list out local exposure.MINDIT 0 0 0 0 0 0 0 {}]

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.iracqDit-apply)  {Apply minimum detector integration time}
    set panWidgetHlp(${top}.iracqDit-dit)  {Current detector integration time}
    set panWidgetHlp(${top}.iracqDit-ditSet)  {Set detector integration time}
    set panWidgetHlp(${top}.iracqDit-minDit)  {Minimum detector integration time}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
