#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqPerf_uifClass.tcl,v 1.113 2005/09/13 07:27:20 vltsccm Exp $" 
#
# iracqPerf_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.16
#   date   : Mon Jan 10 13:56:22 MET 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class iracqPerf_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 240 -height 96 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifCheckButton     $cv.iracqPerf-enable -anchor w -canvasAnchor nw \
                       -default 0 -label Enable -offVal 0 -onVal 1 \
                       -variable gvar(enabled) -width 0
    UifFrame           $cv.iracqPerf-main -canvasAnchor nw -height 50 \
                       -width 120
    UifOutputLed       $cv.iracqPerf-receiving -canvasAnchor nw \
                       -colorOff Gray90 -colorOn Green -flashTime 500 \
                       -flashing 0 -label Receiving \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 8 -variable gvar(recv)
    UifOutputLed       $cv.iracqPerf-store -canvasAnchor nw -colorOff Gray90 \
                       -colorOn Green -flashTime 500 -flashing 0 \
                       -label Storing \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 8 -variable gvar(store)

    #
    #  Canvas Items
    #

    $cv create text 100 84 -tags "text iracqPerf-item1 classItem iracqPerf" -anchor nw \
              -text "Performance Monitor" \
              -fill black -font -Adobe-helvetica-medium-r-normal--12* 

    $cv create text 220 24 -tags "text iracqPerf-item2 classItem iracqPerf" -anchor nw \
              -text "100" \
              -fill black -font -Adobe-helvetica-medium-r-normal--12* 

    $cv create text 220 68 -tags "text iracqPerf-item3 classItem iracqPerf" -anchor nw \
              -text "0 %" \
              -fill black -font -Adobe-helvetica-medium-r-normal--12* 

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.iracqPerf-enable)  {UifCheckButton 96.0 4.0 1 0 0 0 1 enabled 0 0 1 0 0 0}
    set panWidget(${top}.iracqPerf-main)  {UifFrame 96.0 28.0 1 0 0 0 1 {} 0 1}
    set panWidget(${top}.iracqPerf-receiving)  {UifOutputLed 4 32 1 0 0 0 1 recv 0}
    set panWidget(${top}.iracqPerf-store)  {UifOutputLed 4 52 1 0 0 0 1 store 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.iracqPerf-enable)  {Enable/disable monitoring of IRACE pre-processor performance}
    set panWidgetHlp(${top}.iracqPerf-main)  {IRACE pre-processor performance monitor (CPU load)}
    set panWidgetHlp(${top}.iracqPerf-receiving)  {Indicates that data is being received by the data transfer task}
    set panWidgetHlp(${top}.iracqPerf-store)  {Indicates that data is being stored to disk by the data transfer task}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
