#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqUifIo.tcl,v 1.113 2005/09/13 07:27:25 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# jstegmei  20/05/99  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


# handle server error
proc iracqHandleSrvErr {errString} {
    global gvar

    if {$gvar(iracqCCS)} {
	iracqHandleSrvErrCcs $errString
    } else {
	iracqHandleSrvErrNoCcs $errString
    }
}

# open server
proc iracqOpenServer {} {
    global gvar

    if {$gvar(iracqCCS)} {
	# open server
	if {![iracqOpenServerCcs]} {
	    return 0
	}
    } else {
	# open server
	if {![iracqOpenServerNoCcs]} {
	    return 0
	}
	# open event connection
	if {![iracqOpenEventNoCcs $gvar(iracqEvtPort)]} {
	    iracqCloseServerNoCcs
	    return 0
	}
    }

    return 1
}

# close server
proc iracqCloseServer {} {
    global gvar

    if {$gvar(iracqCCS)} {
	iracqCloseServerCcs
    } else {
	iracqCloseEventNoCcs
	iracqCloseServerNoCcs
    }
}

# abort function
proc iracqAbort {} {
    global gvar

    if {$gvar(iracqCCS)} {
	iracqAbortCcs
    } else {
	iracqAbortNoCcs
    }
}

# busy function
proc iracqBusy {busy {doRes 1}} {
    global gvar

    if {$gvar(iracqCCS)} {
	iracqBusyCcs $busy $doRes
    } else {
	iracqBusyNoCcs $busy $doRes
    }
}

# call irace diagnostic function via i/o-stream
proc iracqFunction {func doRes resStr {show 0}} {
    upvar $resStr diagString
    global gvar

    if {$gvar(iracqCCS)} {
	set res [iracqFunctionCcs $func $doRes diagString $show]
    } else {
	set res [iracqFunctionNoCcs $func $doRes diagString]
    }

    return $res
}

# attach event update
proc iracqAttachUpdate {} {
    global gvar

    if {$gvar(iracqCCS)} {
	iracqAttachUpdateCcs
    } else {
	iracqAttachUpdateNoCcs
    }
}

# detach event update
proc iracqDetachUpdate {} {
    global gvar

    if {$gvar(iracqCCS)} {
	iracqDetachUpdateCcs
    } else {
	iracqDetachUpdateNoCcs
    }
}


#
# ___oOo___
