#
# E.S.O. - VLT project
#
# "@(#) $Id: configFreeText.tcl,v 5.34 2005/09/26 12:44:23 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# M.COMIN   20/03/95  created 
# M.COMIN   06/04/95  tag activetext replaced with name
#
# mcomin    27/02/96  Porting to TK4.0
#           07/06/96  Adjust widget coordinates
#

proc freeTextPanel { idx top } {
   global wdgConfig

   UifShortHelp::add [getWdgConfig $idx configHelp] \
                     [getWdgConfig $idx wdgLabel] \
      "Insert the new-line character '\\n' to split the text into several"
   
}

#----------------------------------------------------------------------------
# PROCEDURE : displayFreeText -  Update config. panel with current parameters
#----------------------------------------------------------------------------

proc displayFreeText { idx cv name} {
   setConfigEntry $idx wdgLabel [lindex [$cv itemconfigure $name -text] 4]
   [getWdgConfig $idx wdgName] disable
}

#----------------------------------------------------------------------------
# PROCEDURE : configFreeText - 
#----------------------------------------------------------------------------

proc configFreeText { idx cv name } {
   eval $cv itemconfigure $name -text \"[getConfigInput $idx wdgLabel]\"
}
