#************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: ptlibDumpCmdReply.tcl,v 1.21 2003/11/18 12:40:57 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  16/07/96  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


# Get configuration of 'command reply widget'

proc ptlibDumpCmdReply { appl args } {
    ptlibGetConfigCmdReply $appl $args 
}


# Get configuration of 'command reply widget'
# If 'first < 0' then it dumps the last 'first' messages

proc ptlibGetConfigCmdReply { appl {first 0} {last end}} {

   set title     [ptlibGetTitle $appl .$appl]
   set lastOnly  0
 
   set panWdgReply ".$appl.replyArea.reply"
   
   if {[send $appl winfo exists $panWdgReply] == 0 } {
      puts "WINDOW \"$title\" - COMMAND REPLY WIDGET DOES NOT EXIST\n"
      return
   }  

   if {$first < 0} {
      set len  [send $appl $panWdgReply getSize]
       set tmp  [expr {$len + $first}]
      set replyList [send $appl $panWdgReply getList $tmp end]
   } else {
      set replyList [send $appl $panWdgReply getList $first $last]
   }

   puts "\nWINDOW \"$title\" CHECK LIST OF COMMAND REPLIES "

   foreach item $replyList {
     set idx [string first " " $item] 
     set tmp [string range $item $idx end]
     set tmp [string trim $tmp  " \n"]
     puts "WINDOW \"$title\" CHECK COMMAND WINDOW : \"${tmp}\" "
   } 
#   puts "\n" 
}


proc ptlibClearCmdReply { appl args } {

   set title [ptlibGetTitle $appl .$appl]
   set panWdgReply ".$appl.replyArea.reply"
   
   if {[send $appl winfo exists $panWdgReply] == 0 } {
      puts "WIDGET TO DISPLAY  Command Replies  IN WINDOW  \"$title\"  DOES NOT EXIST \n"
      return
   }

   puts "\nWINDOW \"$title\" CLEAR ALL COMMAND REPLIES\n"  
   
   send $appl $panWdgReply deleteItem 0 end
}


#
# ___oOo___
