#ifndef _iracqExt_h
#define _iracqExt_h

/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: iracqExt.h,v 1.113 2005/09/13 07:27:10 vltsccm Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jstegmei  20/05/99  created
*/

/************************************************************************
 *
 *  iracq.h - iracq extension definitions
 *
 *----------------------------------------------------------------------
 */


#ifdef __cplusplus
extern "C" {
#endif

/*
 *  chopper
 */
#define iracqEXT_CHOP_OFF    0
#define iracqEXT_CHOP_ON     1

/*
 *  chopper structure
 */
typedef struct
{
  int    state;          /* state (on/off)         */
  float  freq;           /* frequency (Hz)         */
} iracqCHOP;


int  iracqChopInit(char *);
int  iracqChopFree(void);
int  iracqChopCheck(void);
int  iracqChopOnOff(int, char *);

extern iracqCHOP  *iracqChop;

#ifdef __cplusplus
}
#endif

#endif /*!_iracqExt_h*/
