#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: feditConstants.tcl,v 2.11 2003/11/12 09:10:33 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  12/11/95  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc feditConstants {} {

   # Set Common Indexes
   
   global rec_offset rec_id  rec_type rec_memo rec_format
      
   set rec_offset  0
   set rec_id      2
   set rec_type    3
   set rec_memo    4
   set rec_format  5

   # Set Indexes for error description structure
   
   global err_help  err_offset

   set err_help    7 ; 
   set err_offset  6

   
   #############################################
   #             Common Constants              #
   #############################################
   
   global errDefinition logDefinition myOffset
   global listView  par gvar
     
   set par(SAVE_FLAG)  0
   set par(BY_ID)      Number ;   # Select search by definition id
   set par(BY_MEMO)    Mnemonic ; # Select search by definition mnemonic
   set par(STORE_HELP) 0
   set par(HELP_PATH)  ""  
      
   set listView       11 ; # Number of lines in the list box
   set gvar(searchMode) $par(BY_MEMO)   
   set myOffset       ""   

   # Error Messages

   set    par(NOT_SAVED) "--- File is NOT SAVED ---\n "
   append par(NOT_SAVED) "Execute : Generate Config. Files"

  
   set par(ERR_MSG1) "REPLACE Fail : Error Number ALREADY EXISTS"
   set par(ERR_MSG2) "REPLACE Fail : NULL Error Number"
   set par(ERR_MSG3) "REPLACE Fail : Error Mnemonic ALREADY EXISTS"


   #############################################    
   #   Constants related to the Error Editor   #
   #############################################
   
   set par(ERRORS_TITLE) "VLT Tool - Error Definitions"

   set par(ERRORS_DEF) [format "%-25s  %-15s %6s  %-10s   %s" "Mnemonic"  \
                       "Offset"  "Number"  "Severity"  "Format" ]

   #############################################          
   #    Constants related to the Log Editor    #
   #############################################  
        
   set par(LOGS_TITLE)  "VLT Tool - Log   Definitions"
         
   set par(LOGS_DEF)   [format "%-25s  %-5s %-4s  %-s " "Mnemonic"  \
                       "Type"  "Id"  "Format" ]
}
#
# ___oOo___
