#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqData_uifClass.tcl,v 1.113 2005/09/13 07:27:14 vltsccm Exp $" 
#
# iracqData_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 5.2
#   date   : Thu Dec 28 10:25:32 MET 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class iracqData_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global ::shArea
    panSetAutoPath {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 493 -height 200 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

UifButton          $cv.iracqData-BrowseBadpix -canvasAnchor nw  \
                      -command {iracqBrowseBadpix} -initialState normal  \
                      -label {Browse} -popup 0  \
                      -stateVar gvar(iracqData-wdg4Var) -width 8 
UifButton          $cv.iracqData-BrowseFlatfield -canvasAnchor nw  \
                      -command {iracqBrowseFlatfield}  \
                      -initialState normal -label {Browse} -popup 0  \
                      -stateVar gvar(iracqData-wdg4Var) -width 8 
UifButton          $cv.iracqData-DownloadBadpix -canvasAnchor nw  \
                      -command {iracqCmdDownloadBadpix}  \
                      -initialState normal -label {Download} -popup 0  \
                      -stateVar gvar(iracqData-wdg5Var) -width 8 
UifButton          $cv.iracqData-DownloadFlatfield -canvasAnchor nw  \
                      -command {iracqCmdDownloadFlatfield}  \
                      -initialState normal -label {Download} -popup 0  \
                      -stateVar gvar(iracqData-wdg5Var) -width 8 
UifEntry           $cv.iracqData-badpix -canvasAnchor nw  \
                      -label {Bad-Pixel-Mask}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -maxVal 100 -minVal 0  \
                      -variable gvar(badpix) -width 30 
UifEntry           $cv.iracqData-badpixDev -canvasAnchor nw -default 0  \
                      -label {Acq.-Device}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -maxVal 8 -minVal 0  \
                      -variable gvar(badpixDev) -width 2 
UifEntry           $cv.iracqData-flatfield -canvasAnchor nw  \
                      -label {Flatfield}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -maxVal 100 -minVal 0  \
                      -variable gvar(flatfield) -width 30 
UifEntry           $cv.iracqData-flatfieldDev -canvasAnchor nw -default 0  \
                      -label {Acq.-Device}  \
                      -labelFont -Adobe-helvetica-medium-r-normal--14*  \
                      -labelWidth 0 -maxVal 8 -minVal 0  \
                      -variable gvar(flatfieldDev) -width 2 

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.iracqData-BrowseBadpix)  {UifButton 4 156 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.iracqData-BrowseFlatfield)  {UifButton 4 64 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.iracqData-DownloadBadpix)  {UifButton 84 156 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.iracqData-DownloadFlatfield)  {UifButton 84 64 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.iracqData-badpix)  {UifEntry 4 124 1 0 {} 0 1 badpix 0 N 0 100 0 0 0 0}
    set panWidget(${top}.iracqData-badpixDev)  {UifEntry 168 156 1 0 0 0 1 badpixDev 0 N 0 8 0 0 0 0}
    set panWidget(${top}.iracqData-flatfield)  {UifEntry 4 32 1 0 {} 0 1 flatfield 0 A {} {} 0 0 0 0}
    set panWidget(${top}.iracqData-flatfieldDev)  {UifEntry 168.0 64.0 1 0 0 0 1 flatfieldDev 0 N 0 8 0 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.iracqData-BrowseBadpix)  {Browse data files}
    set panWidgetHlp(${top}.iracqData-BrowseFlatfield)  {Browse data files}
    set panWidgetHlp(${top}.iracqData-DownloadBadpix)  {Download selected bad-pixel-mask}
    set panWidgetHlp(${top}.iracqData-DownloadFlatfield)  {Download selected flatfield}
    set panWidgetHlp(${top}.iracqData-badpix)  {Bad-pixel-mask to be downloaded}
    set panWidgetHlp(${top}.iracqData-badpixDev)  {Acquisition device whre the bad-pixel-mask has to be applied}
    set panWidgetHlp(${top}.iracqData-flatfield)  {Flatfield to be downloaded}
    set panWidgetHlp(${top}.iracqData-flatfieldDev)  {Acquisition device whre the flatfield has to be applied}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
