#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: iracqChopper_uifClass.tcl,v 1.113 2005/09/13 07:27:12 vltsccm Exp $" 
#
# iracqChopper_uifClass.tcl
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 4.16
#   date   : Mon May 15 16:39:29 METDST 2000
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------


class iracqChopper_uifClass { 
  inherit UifPanel 

  constructor {args} { 

    global shArea
    panSetAutoPath  {} {}
    parseClassName $this 

    itk_component add top {
       canvas $itk_interior.cv -width 403 -height 124 \
              -borderwidth 2 -highlightthickness 0
    } {
       keep -relief 
    }

    pack $itk_component(top) -fill both -expand 1 
    eval itk_initialize $args

    UifButton          $cv.iracqChopper-applyTrans -canvasAnchor nw \
                       -command iracqChopTransTime -initialState normal \
                       -label Apply -popup 0 \
                       -stateVar gvar(iracqChopper-wdg7Var) -width 0
    UifOutput          $cv.iracqChopper-chopTransTime -anchor center \
                       -canvasAnchor nw -color Black \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label {Transition Time :} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 14 -units sec. \
                       -variable gvar(chopTransTime) -width 12
    UifOutput          $cv.iracqChopper-freq -anchor center -canvasAnchor nw \
                       -color Black \
                       -font -Adobe-courier-medium-r-normal--14* -frame 1 \
                       -label {Frequency :} \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 14 -units Hz -variable gvar(chopFreq) \
                       -width 12
    UifEntry           $cv.iracqChopper-transTimeSetup -canvasAnchor nw \
                       -labelFont -Adobe-helvetica-medium-r-normal--14* \
                       -labelWidth 0 -maxVal 100 -minVal 0 \
                       -variable gvar(chopTransTimeSetup) -width 5
    UifCheckButton     $cv.iracqChopper-wdg1 -anchor w -canvasAnchor nw \
                       -command iracqChopOnOff -default 0 -label Chopping \
                       -offVal 0 -onVal 1 -variable gvar(chopState) -width 0

    #
    #  Canvas Items
    #

  }; # end of constructor

  #-------------------------------------------
  #*# Method init

  public method init { } {
    global ::panWidget ::gvar ::panDbData ::panWidgetHlp 
    set top $className 

    #
    # Set Widget Configuration
    #
    set panWidget(${top}.iracqChopper-applyTrans)  {UifButton 344.0 84.0 1 0 0 0 1 {} 0 {}}
    set panWidget(${top}.iracqChopper-chopTransTime)  {UifOutput 12 84 1 0 0 0 1 chopTransTime 0 %2.3f 2}
    set panWidget(${top}.iracqChopper-freq)  {UifOutput 12 44 1 0 0 0 1 chopFreq 0 %2.3f 2}
    set panWidget(${top}.iracqChopper-transTimeSetup)  {UifEntry 292.0 88.0 1 0 {} 0 1 chopTransTimeSetup 0 A {} {} 0 0 0 0}
    set panWidget(${top}.iracqChopper-wdg1)  {UifCheckButton 12.0 12.0 1 0 0 0 1 chopState 0 0 1 0 0 0}

    #
    # Set Database Configuration
    #

    #
    # Set Short Help for each widget
    #
    set panWidgetHlp(${top}.iracqChopper-applyTrans)  {Apply chopper transition time}
    set panWidgetHlp(${top}.iracqChopper-chopTransTime)  {Chopper transition time}
    set panWidgetHlp(${top}.iracqChopper-freq)  {Current chooping frequency (Hz)}
    set panWidgetHlp(${top}.iracqChopper-transTimeSetup)  {Set chopper transition time}
    set panWidgetHlp(${top}.iracqChopper-wdg1)  {Switch chopping mode on/off}

    setInstanceData
    set initDone 1
  }; # end of init

} ; #end of the class
