#
# E.S.O. - VLT project
#
# "@(#) $Id: configFrame.tcl,v 5.34 2005/09/26 12:44:23 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    ??/??/??  created
#

#-----------------------------------------------------------------------------
# PROCEDURE : panelFrame -  Creates config. panel for UifFrame Widget
#-----------------------------------------------------------------------------

proc uifFramePanel { idx top } {
   global wdgConfig ckReSize

   set w $top.f10
   UifEntry $w.hei -label " Frame Height" -width 5\
            -labelWidth $wdgConfig(lblWidth) -labelFont $wdgConfig(lblFont)

   checkbutton $w.resize -text "Automatic Re-Size" -variable ckReSize($idx)

   #
   #  Create configuration panel
   #

   pack $w.hei    -side left -pady 5
   pack $w.resize -side left -padx 20
}

#------------------------------------------------------------------------------
# PROCEDURE : displayUifFrame - 
#------------------------------------------------------------------------------

proc displayUifFrame { idx cv top name } {
   global ckReSize i_reSize

   setConfigEntry $idx wdgLen  [$cv.$name cget -width]
   setEntry $top.f10.hei [$cv.$name cget -height]
   set ckReSize($idx) [getWidget $name $i_reSize]
}

