#
# E.S.O. - VLT project
#
# "@(#) $Id: configUifText.tcl,v 5.34 2005/09/26 12:44:24 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# M.COMIN   06/04/95  created 
#
# mcomin    27/02/96  Porting to TK4.0
#

proc uifTextPanel { idx top } {
   global wdgConfig  panSelectedFont wrapOption 

   UifEntry $top.f1.hei -label " Height" -width 5\
            -labelFont  $wdgConfig(lblFont)
 
   set tt $top.f9
   label $tt.lblWrap -text " Wrap Option :" -anchor w \
         -width $wdgConfig(lblWidth) -font $wdgConfig(lblFont)

   radiobutton $tt.none -text none -variable wrapOption($idx) \
               -value none -anchor w

   radiobutton $tt.char -text character -variable wrapOption($idx) \
               -value char -anchor w

   radiobutton $tt.word -text word -variable wrapOption($idx) \
               -value word -anchor w

   pack $top.f1.hei -side left -pady 5 -padx 3

   pack $tt.lblWrap $tt.none $tt.char $tt.word -side left
}


#----------------------------------------------------------------------------
# PROCEDURE : configUifText - 
#----------------------------------------------------------------------------

proc configUifText { idx cv top name} {
   global panSelectedFont wrapOption

   if {[set tmp [getInput $top.f1.hei]] == "" } { set tmp 5 }

   $cv.$name configure -font [getWdgConfig $idx font] -height $tmp \
                       -wrap $wrapOption($idx)
}

#----------------------------------------------------------------------------
# PROCEDURE : displayUifText - 
#----------------------------------------------------------------------------

proc displayUifText { idx cv top name } {
   global wdgConfig panSelectedFont wrapOption

   setEntry $top.f1.hei   [$cv.$name cget -height]
   set wrapOption($idx)   [$cv.$name cget -wrap]

   set panSelectedFont    [$cv.$name cget -font]
   setWdgConfig $idx font [$cv.$name cget -font]
}

