#***********************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: wpActivityLib.tcl,v 1.23 1998/03/09 08:55:21 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  12/04/95  created
#
#************************************************************************
#   NAME
#
#     wpActivityLib
#
#   DESCRIPTION
#
#     Sets of procedures to operate the 'Create/Edit Activity' panel.
#
#------------------------------------------------------------------------
#

proc wpStoreActivity { } {

   global cv gvar env wpText shArea wpMode


   set tmp "This action cannot be UNDONE ?"
   if {[tk_dialog .dialog "Dialog Box" $tmp question 1 Continue Cancel]} { 
      return 
   }

   if { $gvar(wpNumber) == "" } {
      set file  $gvar(actName)
   } else {
      set file  "WP$gvar(wpNumber)_$gvar(actName)"
   } 

   set filePath "$env(PLAN_ROOT)/activities/$file"

   # Check Owner

   if {$wpMode == "Edit"} {
      set wpOwner [lindex [exec ls -l $filePath] 2 ]
      set wpUser  [exec whoami]
      
      if {$wpOwner != $wpUser} {
         set tmp "The Activity cannot be MODIFIED !\nIt Belongs to user : ${wpOwner}"
         tk_dialog .dialog "Dialog Box" $tmp info 0 OK
         return
      }
   }

   if { [catch { open $filePath "w+" 0666 } fid] } {
      set tmp "Cannot Write On file: $filePath"
      tk_dialog .dialog "Dialog Box" $tmp error 0 OK
      return
   }

   set myText [$wpText getText 1.0 end]

#  puts "DBG > wpStoreActivity myText = $myText"
   puts -nonewline $fid $myText
   close $fid
}

#
# ___oOo___
